Public Class LINE_使用者管理表
    Dim HH As Integer
    Dim 對話框(5) As String
    Private Sub Set_使用者清單()
        Dim ds As New DataSet : 系統使用者_dgv.DataSource = Nothing : ds.Clear()
        系統使用者_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        系統使用者_dgv.ColumnHeadersHeight = 25
        系統使用者_dgv.AllowUserToAddRows = False
        系統使用者_dgv.RowTemplate.Height = 35
        SQL_系統使用者_清單() : da.Fill(ds) : 系統使用者_dgv.DataSource = ds.Tables(0)
    End Sub
    Private Sub Set_LINE使用者清單()
        Dim ds1 As New DataSet : LINE使用者_dgv.DataSource = Nothing : ds1.Clear()
        LINE使用者_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        LINE使用者_dgv.ColumnHeadersHeight = 25
        LINE使用者_dgv.AllowUserToAddRows = False
        LINE使用者_dgv.RowTemplate.Height = 35
        SQL_LINE使用者_清單() : da.Fill(ds1) : LINE使用者_dgv.DataSource = ds1.Tables(0) : conn.Close()
        LINE使用者_dgv.Columns(0).FillWeight = 30 : LINE使用者_dgv.Columns(1).Visible = False : LINE使用者_dgv.Columns(2).FillWeight = 100 : LINE使用者_dgv.Columns(3).FillWeight = 30
        LINE使用者_dgv.Columns(4).FillWeight = 40 : LINE使用者_dgv.Columns(5).Visible = False : LINE使用者_dgv.Columns(6).Visible = False

        LINE使用者_dgv.Columns(3).DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter
        For i As Integer = 0 To LINE_權限數量 + 2 : LINE使用者_dgv.Columns(i + 7).Visible = False : Next
        For i As Integer = 0 To LINE使用者_dgv.Rows.Count - 1
            If IsDBNull(LINE使用者_dgv.Rows(i).Cells("Line").Value) Then : LINE使用者_dgv.Rows(i).Cells("Line").Value = False : End If
            If IsDBNull(LINE使用者_dgv.Rows(i).Cells("WhatsApp").Value) Then : LINE使用者_dgv.Rows(i).Cells("WhatsApp").Value = False : End If
            If IsDBNull(LINE使用者_dgv.Rows(i).Cells("Message").Value) Then : LINE使用者_dgv.Rows(i).Cells("Message").Value = False : End If
            For no As Integer = 0 To LINE_權限數量 - 1
                HH = no + 200
                If IsDBNull(LINE使用者_dgv.Rows(i).Cells("CC" & HH.ToString).Value) Then : LINE使用者_dgv.Rows(i).Cells("CC" & HH.ToString).Value = False : End If
            Next
        Next
    End Sub
    Private Sub Set_權限一覽()
        Dim nob As Integer
        Dim ds2 As New DataSet : LINE權限一覽_dgv.DataSource = Nothing : ds2.Clear()
        LINE權限一覽_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        LINE權限一覽_dgv.ColumnHeadersHeight = 25
        LINE權限一覽_dgv.AllowUserToAddRows = False
        LINE權限一覽_dgv.RowTemplate.Height = 35
        SQL_LINE權限一覽_dgv_清單() : da.Fill(ds2) : LINE權限一覽_dgv.DataSource = ds2.Tables(0)
        If LINE權限一覽_dgv.Rows.Count > 0 Then
            For no As Integer = 0 To LINE權限一覽_dgv.Rows.Count - 1
                HH = no + 200
                Dim 選擇 As CheckBox = CType(Me.Controls.Find("CheckBox" + HH.ToString(), True)(0), CheckBox)
                選擇.Visible = True
                選擇.Text = LINE權限一覽_dgv.Rows(no).Cells("權限代號").Value.ToString & "-" & LINE權限一覽_dgv.Rows(no).Cells("權限名稱").Value.ToString
            Next
        End If
    End Sub
    Private Sub LINE_使用者管理表_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        對話框(0) = "該功能介面為系統開發人員使用，所以不提供語言轉換功能!!" : 對話框(1) = "輸入資料有誤!!" : 對話框(2) = "新增完成!!" : 對話框(3) = "存檔完成!!"
        對話框(4) = "確定要刪除該筆資料?" : 對話框(5) = "刪除完成!!"
        PA = "" : 確認新增_bt.Enabled = False : Panel2.SendToBack()  '在職 = True
        修改_bt.Enabled = False
        Set_使用者清單() : Set_LINE使用者清單() : Set_權限一覽()
    End Sub
    Private Sub Set_格式設定1()
        For no As Integer = 0 To LINE_權限數量 - 1
            HH = no + 200
            Dim 選擇 As CheckBox = CType(Me.Controls.Find("CheckBox" + HH.ToString(), True)(0), CheckBox)
            選擇.Checked = False
        Next
    End Sub
    Private Sub LINE使用者_dgv_CellClick(sender As Object, e As DataGridViewCellEventArgs) Handles LINE使用者_dgv.CellClick
        If e.RowIndex = -1 Then : Else
            姓名_tb.Text = LINE使用者_dgv.Rows(e.RowIndex).Cells("姓名").Value.ToString : token_tb.Text = LINE使用者_dgv.Rows(e.RowIndex).Cells("token").Value.ToString
            通知語言_cb.Text = LINE使用者_dgv.Rows(e.RowIndex).Cells("通知語言").Value.ToString
            電話號碼1_tb.Text = LINE使用者_dgv.Rows(e.RowIndex).Cells("電話號碼1").Value.ToString : 電話號碼2_tb.Text = LINE使用者_dgv.Rows(e.RowIndex).Cells("電話號碼2").Value.ToString
            電話號碼3_tb.Text = LINE使用者_dgv.Rows(e.RowIndex).Cells("電話號碼3").Value.ToString
            Line_cb.Checked = LINE使用者_dgv.Rows(e.RowIndex).Cells("Line").Value : WhatsApp_cb.Checked = LINE使用者_dgv.Rows(e.RowIndex).Cells("WhatsApp").Value
            Message_cb.Checked = LINE使用者_dgv.Rows(e.RowIndex).Cells("Message").Value
            For no As Integer = 0 To LINE權限一覽_dgv.Rows.Count - 1
                HH = no + 200
                Dim 選擇 As CheckBox = CType(Me.Controls.Find("CheckBox" + HH.ToString(), True)(0), CheckBox)
                選擇.Checked = LINE使用者_dgv.Rows(e.RowIndex).Cells(LINE權限一覽_dgv.Rows(no).Cells("權限代號").Value.ToString).Value
            Next
        End If
    End Sub
    Private Sub 系統使用者_dgv_CellClick(sender As Object, e As DataGridViewCellEventArgs) Handles 系統使用者_dgv.CellClick
        If e.RowIndex = -1 Then : Else
            姓名_tb.Text = 系統使用者_dgv.Rows(e.RowIndex).Cells("姓名").Value.ToString
        End If
    End Sub
    Private Sub 新增_bt_Click(sender As Object, e As EventArgs) Handles 新增_bt.Click
        電話號碼1_tb.Text = "" : 電話號碼2_tb.Text = "" : 電話號碼3_tb.Text = ""
        姓名_tb.Text = "" : token_tb.Text = "" : 新增_bt.Enabled = False : 確認新增_bt.Enabled = True
        Set_格式設定1()
    End Sub
    Private Sub 確認新增_bt_Click(sender As Object, e As EventArgs) Handles 確認新增_bt.Click
        If 姓名_tb.Text = "" Then
        Else
            For i As Integer = 0 To LINE_權限數量 - 1
                linecc(i) = False
            Next
            For no As Integer = 0 To LINE權限一覽_dgv.Rows.Count - 1
                HH = no + 200
                Dim 選擇 As CheckBox = CType(Me.Controls.Find("CheckBox" + HH.ToString(), True)(0), CheckBox)
                If 選擇.Checked Then
                    linecc(Val(LINE權限一覽_dgv.Rows(no).Cells("權限代號").Value.ToString.Substring(2, 3)) - 200) = True
                End If
            Next
            SQL_LINE_新增使用者資料() : conn.Close()
            Set_LINE使用者清單()
            確認新增_bt.Enabled = False : 新增_bt.Enabled = True
        End If
    End Sub
End Class